import java.util.*;

class TestGenericSort {

   private static  Random r = new Random();

   public static void main(String [] args) {
     pumpkinTest();
     StringTest();
   }
   private static void pumpkinTest() {

       Pumpkin [] p = new Pumpkin[10];
       for(int i=0; i < p.length; i++) 
         p[i] = new Pumpkin(r.nextInt(200));

       System.out.println("Before sorting...");
       for(int i=0; i < p.length; i++) 
         System.out.println("\tPumpkin "+i+" weighs "+p[i].getWeight());
      
       // Call generic bubble sort
       SortRoutines.genericBubbleSort(p);
 
       System.out.println("After sorting...");
       for(int i=0; i < p.length; i++) 
         System.out.println("\tPumpkin "+i+" weighs "+p[i].getWeight());
    }     

   private static void StringTest() {
       
       String [] s = new String[10];
     
       for(int i=0; i < s.length; i++)
         s[i] = getRandomString();  
         
       System.out.println("Before sorting...");
       for(int i=0; i < s.length; i++) 
         System.out.println("\tString "+i+" is "+ s[i]);
       
       SortRoutines.genericBubbleSort(s);

       System.out.println("After sorting...");
       for(int i=0; i < s.length; i++) 
         System.out.println("\tString "+i+" is "+ s[i]);
       
   }

   private static String getRandomString() {
      String s = ""; 

      // how long is this random string ?
      int length = r.nextInt(10) + 3; // between 3 and 12, both inclusive
      
      for(int i=0; i < length; i++) 
        s += (char ) (65 + r.nextInt(26));
 
      return s;
   }
}
